package com.sundot.airport.attendance.mapper;

import com.sundot.airport.attendance.domain.AttendanceRecord;

import java.util.List;

/**
 * 考勤记录Mapper接口
 *
 * @author wangchong
 * @date 2025-07-10
 */
public interface AttendanceRecordMapper {
    /**
     * 查询考勤记录
     *
     * @param id 考勤记录主键
     * @return 考勤记录
     */
    public AttendanceRecord selectAttendanceRecordById(Long id);

    /**
     * 查询考勤记录列表
     *
     * @param attendanceRecord 考勤记录
     * @return 考勤记录集合
     */
    public List<AttendanceRecord> selectAttendanceRecordList(AttendanceRecord attendanceRecord);

    /**
     * 新增考勤记录
     *
     * @param attendanceRecord 考勤记录
     * @return 结果
     */
    public int insertAttendanceRecord(AttendanceRecord attendanceRecord);

    /**
     * 修改考勤记录
     *
     * @param attendanceRecord 考勤记录
     * @return 结果
     */
    public int updateAttendanceRecord(AttendanceRecord attendanceRecord);

    /**
     * 删除考勤记录
     *
     * @param id 考勤记录主键
     * @return 结果
     */
    public int deleteAttendanceRecordById(Long id);

    /**
     * 批量删除考勤记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAttendanceRecordByIds(Long[] ids);
}
